<div class="col-lg-12 col-md-12 ntfcn-tab-content-left w-100 p-4 ">
    <div class="row" id="setting-row">

        <div class="row p-20">

            <div class="col-md-4">
                <x-forms.label class="mt-3" fieldId="api_key"
                               :fieldLabel="__('zoom::modules.zoomsetting.zoomapikey')"
                               fieldRequired="true">
                </x-forms.label>
                <x-forms.input-group>
                    <input type="password" name="api_key" id="api_key"
                           class="form-control height-35 f-14"
                           value="{{ $zoom->api_key ?? '' }}">
                    <x-slot name="preappend">
                        <button type="button" data-toggle="tooltip"
                                data-original-title="@lang('app.viewPassword')"
                                class="btn btn-outline-secondary border-grey height-35 toggle-password">
                            <i
                                class="fa fa-eye"></i></button>
                    </x-slot>
                </x-forms.input-group>
            </div>
            @method('PUT')
            <div class="col-md-4">
                <x-forms.label class="mt-3" fieldId="api_key"
                               :fieldLabel="__('zoom::modules.zoomsetting.zoomapisecret')"
                               fieldRequired="true">
                </x-forms.label>
                <x-forms.input-group>
                    <input type="password" name="secret_key" id="secret_key"
                           class="form-control height-35 f-14" value="{{ $zoom->secret_key ?? '' }}">
                    <x-slot name="preappend">
                        <button type="button" data-toggle="tooltip"
                                data-original-title="@lang('app.viewPassword')"
                                class="btn btn-outline-secondary border-grey height-35 toggle-password">
                            <i
                                class="fa fa-eye"></i></button>
                    </x-slot>
                </x-forms.input-group>
            </div>

            <div class="col-md-4">
                <x-forms.label class="mt-3" fieldId="secret_token"
                               :fieldLabel="__('zoom::modules.zoomsetting.secretToken')"
                               fieldRequired="true">
                </x-forms.label>
                <x-forms.input-group>
                    <input type="password" name="secret_token" id="secret_token"
                           class="form-control height-35 f-14" value="{{ $zoom->secret_token ?? '' }}">
                    <x-slot name="preappend">
                        <button type="button" data-toggle="tooltip"
                                data-original-title="@lang('app.viewPassword')"
                                class="btn btn-outline-secondary border-grey height-35 toggle-password">
                            <i
                                class="fa fa-eye"></i></button>
                    </x-slot>
                </x-forms.input-group>
            </div>

            <div class="col-md-3">
                <div class="form-group my-3">
                    <label class="f-14 text-dark-grey mb-12 w-100"
                           for="usr">@lang('zoom::modules.zoomsetting.openZoomApp')</label>
                    <div class="d-flex">
                        <x-forms.radio fieldId="zoom_app" :fieldLabel="__('app.yes')"
                                       fieldName="meeting_app" fieldValue="zoom_app"
                                       checked="($zoom->meeting_app == 'zoom_app')">
                        </x-forms.radio>
                        <x-forms.radio fieldId="in_app" :fieldLabel="__('app.no')" fieldValue="in_app"
                                       fieldName="meeting_app"
                                       :checked="($zoom->meeting_app == 'in_app')">
                        </x-forms.radio>
                    </div>
                </div>
            </div>

            <div class="col-sm-12 mt-3">
                <x-forms.label fieldId="" for="mail_from_name" :fieldLabel="__('app.webhook')">
                </x-forms.label>
                <p class="text-bold">
                    <span id="webhook-link-text">{{ $webhookRoute }}</span>
                    <a href="javascript:" class="btn-copy btn-secondary f-12 rounded p-1 py-2 ml-1"
                       data-clipboard-target="#webhook-link-text">
                        <i class="fa fa-copy mx-1"></i>@lang('app.copy')</a>
                </p>
                <p class="text-primary">(@lang('zoom::modules.zoomsetting.webhookInfo'))</p>
            </div>


        </div>
        <x-form-actions>
            <x-forms.button-primary id="save_zoomSetting_form" icon="check">@lang('app.save')
            </x-forms.button-primary>
        </x-form-actions>

    </div>
</div>

@push('scripts')
    <script src="{{ asset('vendor/jquery/clipboard.min.js') }}"></script>
    <script>
        let CHANGE_DETECTED = false;
        $('.field').each(function () {
            let elem = $(this);
            CHANGE_DETECTED = false

            // Look for changes in the value
            elem.bind("change keyup paste", function () {
                CHANGE_DETECTED = true;
            });
        });
        var clipboard = new ClipboardJS('.btn-copy');
        clipboard.on('success', function () {
            Swal.fire({
                icon: 'success',
                text: '@lang("app.webhookUrlCopied")',
                toast: true,
                position: 'top-end',
                timer: 3000,
                timerProgressBar: true,
                showConfirmButton: false,
                customClass: {
                    confirmButton: 'btn btn-primary',
                },
                showClass: {
                    popup: 'swal2-noanimation',
                    backdrop: 'swal2-noanimation'
                },
            })
        });

                $('body').on('click', '#save_zoomSetting_form', function () {
                    CHANGE_DETECTED = false;

                    const url = "{{ route('zoom-settings.update', $zoom->id) }}";
                    $.easyAjax({
                        url: url,
                        container: '#editSettings',
                        type: "POST",
                        blockUI: true,
                        data: $('#editSettings').serialize(),
                        success: function (response) {
                            if (response.status === 'error') {
                                $('#alert').prepend(
                                    '<div class="alert alert-danger">{{ __('messages.smtpError') }}</div>'
                                )
                            } else {
                                $('#alert').show();
                            }
                        }
                    })
                });
    </script>

@endpush
